import { ChangeDetectorRef, ElementRef, Injector, OnDestroy, ViewContainerRef } from '@angular/core';
import { RowData, TableRenderer } from '@anjuna/core';
export interface RowContext {
    $implicit: RowData;
    column?: HTMLAnjColumnElement;
    index: number;
}
export declare class TableDirective extends TableRenderer implements OnDestroy {
    private changeRef;
    private element;
    private injector;
    private viewRef;
    private templates;
    private outletRows;
    private static rowContext(row, index, column?);
    constructor(changeRef: ChangeDetectorRef, element: ElementRef, injector: Injector, viewRef: ViewContainerRef);
    ngOnDestroy(): void;
    cellTemplate(cell: HTMLElement, offset: string, col: HTMLAnjColumnElement, row: RowData, rowIndex: number): void;
    fromTemplate(templateName: string, targetEl: HTMLElement, row: RowData, rowIndex: number): void;
    private createOutlet(target, templateName, context);
    private createTemplate(templateName, context);
    private updateContext(outlet, context);
    private updateOutlet(outlet, templateName, targetEl, context);
}
